/* Almhults Flak & Container */

/* Animationer */
@import url('/resources/scripts/aos/2.3.1/aos.css');

/* ==========================================================================
Generellt
========================================================================== */
:root {
    /* 	Colors */
    --primary-color: 0, 44, 121;

    --black-color: 17, 17, 17;
    --gray-dark-color: 58, 58, 58;
    --gray-color: 130, 130, 130;
    --gray-light-color: 243, 241, 237;
    --white-color: 255, 255, 255;

    /* 	Layout  */
    --col-padding: 3rem;
    --menu-height: 8rem;
    --menu-height-scrolled: 8rem;
    --section-width: 145rem;

    /* 	Typography */
    --base-size: 1.6rem;

    /* 	Mobile nav */
    --activate-mobile-menu: 1000;
    --mobile-menu-height: 6rem;
    --mobile-menu-bg: var(--white-color);
    --menu-color: var(--black-color);
}

@media only screen and (max-width: 580px) {
    :root {
        --base-size: 1.5rem;
    }
}

/* Layout
========================================================================== */
.section-block {
    padding: 12rem 5rem;
}

/* Paddings */
.p-3 .section-block,
.p-3:not(.section-wrapper) {
    padding: 3rem;
}

.pt-0 .section-block,
.pt-0:not(.section-wrapper) { 
    padding-top: 0;
}

.pr-0 .section-block,
.pr-0:not(.section-wrapper) {
    padding-right: 0;
}

.pl-0 .section-block,
.pl-0:not(.section-wrapper) {
    padding-left: 0;
}

.pb-0 .section-block,
.pb-0:not(.section-wrapper) {
    padding-bottom: 0;
}

/* Margins */
.mb-3 {
    margin-bottom: 3rem;
}

@media only screen and (max-width: 1024px) {
    .section-block {
        padding: 8rem 3rem;
    }
}

@media only screen and (max-width: 580px) {
    .section-block {
        padding: 5rem 2rem;
    }
}

@media only screen and (max-width: 480px) {
    /* Paddings */
    .p-3 .section-block,
    .p-3:not(.section-wrapper) {
        padding: 2rem;
    }
}

/* Text och typsnitt
========================================================================== */
body {
    font-family: 'Onest', sans-serif;
}

/* Rubriker */
.text-label {
    padding-bottom: 1em;
    font-size: 1.4rem;
    font-weight: 600;
    text-transform: uppercase;
    color: rgb(var(--primary-color));
}

.section-title {
    padding-bottom: .5em;
    font-size: 4rem;
    font-weight: 600;
    line-height: 1.2;
}

.small-title {
    padding-bottom: .3em;
    font-size: 2.5rem;
    font-weight: 600;
    line-height: 1.4;
}

/* Brodtext och lankar */
p,
li {
    color: rgb(var(--gray-dark-color));
}

/* Ovriga klasser */
.text-block {
    max-width: 70rem;
}

.text-block-center {
    max-width: 70rem;
    margin-left: auto;
    margin-right: auto;
}

.text-bold {
    font-weight: 700;
}

.text-center {
    text-align: center;
}

@media only screen and (max-width: 1200px) {
    .section-title {
        font-size: 3.8rem;
    }

    .small-title {
        font-size: 2.2rem;
    }
}

@media only screen and (max-width: 580px) {
    .section-title {
        font-size: 2.5rem;
    }

    .small-title {
        font-size: 2rem;
    }
}

/* Knappar och speciella lankar
========================================================================== */
.btn-wrapper {
    margin-top: 2rem;
}

.btn-wrapper.center {
    text-align: center;
}

/* Knappar */
.btn,
.ContactSubmit {
    min-width: 15rem;
    padding: 1.2rem 2rem;
    margin: 7px;
    font-size: 1.4rem;
    font-weight: 600;
    border-radius: 2px;
    text-align: center;
    text-decoration: none;
    transition: all .4s ease;
}

.btn-primary-filled,
.ContactSubmit {
    color: rgb(var(--white-color));
    border: 2px solid rgb(var(--primary-color));
    background-color: rgb(var(--primary-color));
}

.btn-primary-filled:hover,
.ContactSubmit:hover,
.ContactSubmit:focus {
    color: rgb(var(--primary-color));
    border: 2px solid rgb(var(--primary-color));
    background-color: transparent;
}

/* Arrow link */
.arrow-link {
    font-size: var(--base-size);
    padding-right: 1rem;
    color: rgb(var(--primary-color));
}

.arrow-link::after {
    content: ' \f105';
    display: inline-block;
    margin-left: 1rem;
    font-weight: 400;
    font-family: 'Font Awesome 5 Pro';
    transition: transform .4s ease;
}

.arrow-link:hover::after {
    transform: translateX(1rem);
    transition: transform .4s ease;
}

/* Farger
========================================================================== */
/* Bakgrunder */
.bg-gray-light {
    background-color: rgb(var(--gray-light-color));
}

.bg-white {
    background-color: rgb(var(--white-color));
}

/* Text */
.text-primary {
    color: rgb(var(--primary-color));
}

.text-white {
    color: rgb(var(--white-color));
}

/* Grafiska element
========================================================================== */
/* Borders */ 
.border-left-white-5 {
    border-left: 5px solid rgb(var(--white-color));
}

.border-bottom-gray-dark {
    border-bottom: 1px solid rgb(var(--gray-dark-color));
}

.border-bottom-white {
    border-bottom: 1px solid rgb(var(--white-color));
}

/* Bakgrundsbilder och videos
========================================================================== */
.bg-image {
    position: relative;
    overflow: hidden;
}

.bg-image-wrapper,
.bg-video-wrapper {
    z-index: -1;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

/* Video */
.bg-video-wrapper video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* Parallax */
.parallax {
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed;
}

.parallax .section-block {
    min-height: 40rem;
    background-color: rgb(var(--black-color), .4)
}

/* Bilder */
.parallax-truck {
    background-image: url('/assets/images/motorvag-2000px.jpg');
}

@media only screen and (hover:none) {
    .parallax {
        background-attachment: scroll;
        background-position: center center;
    }
}

/* Cards
========================================================================== */
.cards-wrapper {
    display: flex;
    flex-wrap: wrap;
}

.card-item {
    text-decoration: none;
    transition: all .3s ease;
}

/* Specifika bredder */
.cards-wrapper.w-33 .card-item {
    width: calc((100% / 3) - 2rem);
    margin: 1rem;
}

.cards-wrapper.w-100 .card-item {
    width: 100%;
    margin: 1rem 0;
}

@media only screen and (max-width: 1050px) {
    .cards-wrapper.w-33 .card-item {
        width: calc((100% / 2) - 2rem);
    }
}

@media only screen and (max-width: 750px) {
    .cards-wrapper.w-33 .card-item {
        width: 100%;
        margin: 1rem 0;
    }
}

/* Card 2-1 */
.card-2-1 a.card-item:hover {
    background: rgb(var(--primary-light-color));
}

.card-2-1 .card-header {
    margin-bottom: 3rem;
    font-size: 5rem;
}

.card-2-1 .border-bottom-gray-dark,
.card-2-1 .border-bottom-white {
    padding-bottom: 3rem;
}

.bg-repair {
    background-image: linear-gradient(rgba(var(--primary-color), .85), rgba(var(--primary-color), .85)), url('/assets/images/mekaniker-500px.jpg');
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}

@media only screen and (max-width: 580px) {
    .card-2-1 .card-header {
        padding-bottom: 2rem;
        margin-bottom: 1rem;
        font-size: 3rem;
    }
}

/* Card 2-4 */
.card-2-4 .card-item {
    display: flex;
    align-items: center;
}

.card-2-4 a.card-item:hover {
    background: rgb(var(--white-color));
}

.card-2-4 .card-header {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 7rem;
    height: 7rem;
    border-radius: 50%;
}

.card-2-4 .card-header i {
    font-size: 3rem;
}

.card-2-4 .card-body {
    flex: 1 1 0px;
    padding: 0 2rem;
}

.card-2-4 .text-small {
    font-size: 1.4rem;
}

/* Split wrapper
========================================================================== */
.split-wrapper {
    display: flex;
    flex-wrap: wrap;
}

.split-wrapper.reverse {
    flex-direction: row-reverse;
}

.split-content {
    width: 50%;
    padding: 5rem;
}

.split-image {
    width: 50%;
}

/* Centrera content */
.split-wrapper .align-center {
    align-self: center;
}

@media screen and (max-width: 1300px) {
    .split-content {
        padding-top: 3rem;
        padding-bottom: 3rem;
    }
}

@media screen and (max-width: 1000px) {

    .split-wrapper,
    .split-wrapper.reverse {
        flex-direction: column;
        background: transparent;
    }

    .split-content {
        width: 100%;
        max-width: 70rem;
        padding: 0 0 3rem;
        background: transparent;
    }

    .split-image {
        width: 100%;
        min-height: 20rem;
    }

    /* Centrera content */
    .split-wrapper .align-center {
        align-self: flex-start;
    }

    /* Split i bg utan padding */
    .bg-gray-light.pt-0.pb-0 .split-wrapper {
        padding-top: 8rem;
        padding-bottom: 8rem;
    }

    /* Border på split-image */
    .split-image.border-left-white-5 {
        border: none;
    } 
}

@media screen and (max-width: 580px) {
    /* Split i bg utan padding */
    .bg-gray-light.pt-0.pb-0 .split-wrapper {
        padding-top: 5rem;
        padding-bottom: 5rem;
    } 
}

/* Header / Navigation
========================================================================== */
/* Top header */
.top-header {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    width: 100%;
    max-width: var(--section-width);
    height: 4rem;
    padding: .5rem 0;
    margin: 0 auto;
    border-bottom: 1px solid rgb(var(--gray-light-color));
    overflow: hidden;
    transition: .3s ease;
}

.top-header p {
    padding: 0 5px 0 0;
    font-size: 1.4rem;
}

.top-header a {
    display: flex;
    align-items: center;
    margin: 0 8px;
    font-size: 1.4rem;
    text-decoration: none;
    transition: .2s ease;
}

.top-header a:hover {
    color: rgb(var(--primary-color));
}

.top-header div {
    display: inline-block;
    width: 2rem;
    height: 2rem;
    margin-right: 4px;
    border-radius: 50%;
}

header.scrolled {
    border-bottom: 1px solid rgb(var(--gray-light-color));
}

/* Logo */
.header-logo {
    flex: 1 1 0;
}

/* Nav */
.TemplateMenu a {
    font-weight: 600;
    font-size: 1.4rem;
    color: rgb(var(--black-color));
}

/* CTA  */
.header-cta-wrapper {
    position: relative;
    z-index: 9;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    flex: 1 1 0;
    padding: 0;
    margin: 0;
    list-style: none;
}

.header-cta-wrapper .btn {
    min-width: unset;
    padding: 1rem 2rem;
    margin: 0;
    line-height: 1;
    white-space: nowrap;
}

@media only screen and (max-width: 580px) {

    /* CTA  */
    .header-cta-wrapper .btn {
        padding: 0.7rem 1.5rem;
    }
}

/* ==========================================================================
Startsida
========================================================================== */

/* Top-section
========================================================================== */
.top-section {
    display: flex;
    align-items: center;
    min-height: calc(100vh - var(--menu-height));
    background-color: rgb(var(--black-color), .5);
}

.top-section .section-block {
    width: 100%;
}

.top-section .text-block {
    max-width: 90rem
}

.top-section .section-title {
    font-size: 4.5rem;
}

.top-section p {
    max-width: 73rem;
    font-size: 1.8rem;
}

.top-section .btn-primary-filled:hover {
    color: rgb(var(--white-color));
}

/* Google review */
.top-section .reviews {
    position: absolute;
    right: 5rem;
    bottom: 5rem;
}

.elfsight-app-8d893136-d190-4c67-a0d2-41603b6877cf {
    border-radius: 3rem;
}

.elfsight-app-8d893136-d190-4c67-a0d2-41603b6877cf .hyNdfx {
    padding: 1.5rem 3rem 2rem;
    border-radius: 2rem;
    background: rgba(var(--white-color), .6);
}

@media only screen and (max-width: 1200px) {
    .top-section .section-title {
        font-size: 4rem;
    }
}

@media only screen and (max-width: 680px) {
    .top-section .section-block {
        padding-bottom: 15rem;
    }

    .top-section .section-title {
        font-size: 3rem;
    }

    .top-section p {
        font-size: 1.6rem;
    }

    /* Google review */
    .top-section .reviews {
        right: 2rem;
        bottom: 2rem;
    }

    .elfsight-app-8d893136-d190-4c67-a0d2-41603b6877cf .hyNdfx {
        padding: .5rem 2rem 1rem;
    }
}

/* Kontakt
========================================================================== */
.section-contact .section-block-wrapper {
    justify-content: space-between;
    padding: 7rem;
    background: rgb(var(--white-color), .8);
}

.section-contact .layout-2 .col-0 {
    width: 50%;
    padding-right: var(--col-padding);
    margin-top: 11rem;
}

@media only screen and (max-width: 1200px) {
    .section-contact .section-block-wrapper {
        padding: 5rem;
    }
}

@media only screen and (max-width: 980px) {
    .section-contact .col-1 {
        margin-bottom: 3rem;
    }
}

@media only screen and (max-width: 580px) {
    .section-contact .section-block-wrapper {
        padding: 2rem;
    }
}

/* ==========================================================================
Footer
========================================================================== */
.footer {
    padding: 0 5rem;
}

/* Footer bottom */
.footer-bottom {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    padding: 2rem 0;
}

.footer-bottom p,
.footer-bottom a {
    font-size: 1.4rem;
    line-height: 1.6;
    color: rgb(var(--gray-dark-color));
}

/* WebbEss Stamp  */
.footer .webbess-stamp {
    display: flex;
    align-items: center;
    text-decoration: none;
}

.webbess-stamp img {
    width: 2.5rem;
    margin-left: 1rem;
    opacity: .6;
}

@media only screen and (max-width: 1200px) {
    .footer {
        padding: 0 3rem;
    }
}

@media only screen and (max-width: 580px) {
    .footer {
        padding: 0 2rem;
    }

    /* Footer bottom */
    .footer-bottom {
        flex-direction: column-reverse;
    }

    .footer-bottom p,
    .footer-bottom a {
        font-size: 1.3rem;
    }

    .webbess-stamp {
        margin: 0 auto 2rem;
    }
}